diff -Naur daemontools-0.76.orig/package/boot.inittab daemontools-0.76/package/boot.inittab
--- daemontools-0.76.orig/package/boot.inittab	2001-07-12 09:49:49.000000000 -0700
+++ daemontools-0.76/package/boot.inittab	2009-09-27 12:20:52.000000000 -0700
@@ -1,2 +1,2 @@
 
-SV:123456:respawn:/command/svscanboot
+SV:123456:respawn:/usr/local/bin/svscanboot
diff -Naur daemontools-0.76.orig/package/run daemontools-0.76/package/run
--- daemontools-0.76.orig/package/run	2001-07-12 09:49:49.000000000 -0700
+++ daemontools-0.76/package/run	2009-09-27 12:25:59.000000000 -0700
@@ -4,18 +4,20 @@
 test -d package || ( echo 'Wrong working directory.'; exit 1 )
 test -d src || ( echo 'Wrong working directory.'; exit 1 )
 
-if test -d /service
+SVC_DIR=/var/service
+
+if test -d $SVC_DIR
 then
-  echo '/service exists. I assume that svscan is already running.'
+  echo "$SVC_DIR exists. I assume that svscan is already running."
   exit 0
 fi
 
-echo 'Creating /service...'
-mkdir /service
+echo "Creating $SVC_DIR..."
+mkdir $SVC_DIR
 
 if test -r /etc/inittab
 then
-  /command/setlock /etc/inittab package/run.inittab
+  /usr/local/bin/setlock /etc/inittab package/run.inittab
 else
-  /command/setlock /etc/rc.local package/run.rclocal
+  /usr/local/bin/setlock /etc/rc.local package/run.rclocal
 fi
diff -Naur daemontools-0.76.orig/package/upgrade daemontools-0.76/package/upgrade
--- daemontools-0.76.orig/package/upgrade	2001-07-12 09:49:49.000000000 -0700
+++ daemontools-0.76/package/upgrade	2009-09-27 12:14:41.000000000 -0700
@@ -12,19 +12,24 @@
 ln -s daemontools-0.76 daemontools
 mv -f daemontools ..
 
-echo 'Making command links in /command...'
-mkdir -p /command
 for i in `cat package/commands`
 do
-  rm -f /command/$i'{new}'
-  ln -s $parent/daemontools/command/$i /command/$i'{new}'
-  mv -f /command/$i'{new}' /command/$i
-done
-echo 'Making compatibility links in /usr/local/bin...'
-mkdir -p /usr/local/bin
-for i in `cat package/commands`
-do
-  rm -f /usr/local/bin/$i'{new}'
-  ln -s /command/$i /usr/local/bin/$i'{new}'
-  mv -f /usr/local/bin/$i'{new}' /usr/local/bin/$i
+  cp $parent/daemontools/command/$i /usr/local/bin//$i
 done
+
+#echo 'Making command links in /command...'
+#mkdir -p /command
+#for i in `cat package/commands`
+#do
+#  rm -f /command/$i'{new}'
+#  ln -s $parent/daemontools/command/$i /command/$i'{new}'
+#  mv -f /command/$i'{new}' /command/$i
+#done
+#echo 'Making compatibility links in /usr/local/bin...'
+#mkdir -p /usr/local/bin
+#for i in `cat package/commands`
+#do
+#  rm -f /usr/local/bin/$i'{new}'
+#  ln -s /command/$i /usr/local/bin/$i'{new}'
+#  mv -f /usr/local/bin/$i'{new}' /usr/local/bin/$i
+#done
diff -Naur daemontools-0.76.orig/src/error.h daemontools-0.76/src/error.h
--- daemontools-0.76.orig/src/error.h	2001-07-12 09:49:49.000000000 -0700
+++ daemontools-0.76/src/error.h	2009-09-27 12:18:12.000000000 -0700
@@ -3,7 +3,7 @@
 #ifndef ERROR_H
 #define ERROR_H
 
-extern int errno;
+#include <errno.h>
 
 extern int error_intr;
 extern int error_nomem;
diff -Naur daemontools-0.76.orig/src/svscanboot.sh daemontools-0.76/src/svscanboot.sh
--- daemontools-0.76.orig/src/svscanboot.sh	2001-07-12 09:49:49.000000000 -0700
+++ daemontools-0.76/src/svscanboot.sh	2009-09-27 12:14:41.000000000 -0700
@@ -1,11 +1,17 @@
 
-PATH=/command:/usr/local/bin:/usr/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin
+# this was tweaked from the daemontools default, getting rid of /command
+# and using /var/service instead of /service
+
+
+PATH=/usr/local/bin:/usr/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin
 
 exec </dev/null
 exec >/dev/null
 exec 2>/dev/null
 
-/command/svc -dx /service/* /service/*/log
+SVCDIR=/var/service
+
+/usr/local/bin/svc -dx $SVCDIR/* $SVCDIR/*/log
 
-env - PATH=$PATH svscan /service 2>&1 | \
+env - PATH=$PATH svscan $SVCDIR 2>&1 | \
 env - PATH=$PATH readproctitle service errors: ................................................................................................................................................................................................................................................................................................................................................................................................................
